- Qt 6.6
- Qt GUI
- C++ Classes
- QRhiVulkanRenderPassNativeHandles
- Qt 6.6.2 Reference Documentation

# QRhiVulkanRenderPassNativeHandles Struct

Holds the Vulkan render pass object backing a QRhiRenderPassDescriptor. More...

Header: | #include <QRhiVulkanRenderPassNativeHandles>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Gui) target_link_libraries(mytarget PRIVATE Qt6::Gui)
qmake: | QT += gui
Since: | Qt 6.6
Inherits: | QRhiNativeHandles

- List of all members, including inherited members

## Public Variables

VkRenderPass | renderPass

## Detailed Description

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### VkRenderPass QRhiVulkanRenderPassNativeHandles::renderPass

The VkRenderPass object.